%define pkgname		GConf
%define api_version	2
%define	lib_major	4
%define lib_name	%mklibname %{name}_ %{lib_major}

# Version of required packages
%define req_orbit_version	2.4.0
%define req_glib_version	2.9.1

Summary:	A configuration database system for GNOME 2
Name:		%{pkgname}%{api_version}
Version: 2.14.0
Release:	%mkrel 3
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/gconf/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Source1:	gconf.sh.bz2
Source2:	gconf.csh.bz2
# (fc) add GCONF_TMPDIR variable to use a different dir than TMPDIR for locking (Mdk bug 6140)
Patch0:		GConf-2.4.0-tmpdir.patch.bz2
# (fc) reload database when schemas are installed/uninstalled
Patch1:		GConf-2.12.1-reload.patch.bz2

Conflicts:	GConf < 1.0.6
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libxml2-devel
BuildRequires:	libgtk+2-devel
BuildRequires:	libORBit2-devel >= %{req_orbit_version}
BuildRequires:  autoconf2.5
BuildRequires:  gtk-doc
BuildRequires:	libldap-devel
Requires:	%{lib_name} = %{version}
# needed by patch1
Requires:	psmisc

%description
GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.


%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name} >= %{version}-%{release}
Requires:  	%{name} >= %{version}
Requires:	libORBit2 >= %{req_orbit_version}

%description -n %{lib_name}
GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains necessary libraries to run any programs linked
with GConf.

%package -n %{lib_name}-devel
Summary:	Development libraries and headers for GConf
Group:		Development/GNOME and GTK+
Conflicts:	libGConf1-devel < 1.0.6
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	libORBit2-devel
Requires:	libglib2-devel >= %{req_glib_version}

%description -n %{lib_name}-devel
GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .tmpdir
%patch1 -p1 -b .reload

%build

%configure2_5x --enable-gtk-doc

make

make check

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.sh
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/gconf.csh
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/*

mkdir %{buildroot}%{_sysconfdir}/gconf/schemas

# Provide /usr/lib/gconfd-2 symlink on lib64 platforms
%if "%{_lib}" != "lib"
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
ln -s ../%{_lib}/gconfd-%{api_version} $RPM_BUILD_ROOT%{_prefix}/lib/gconfd-%{api_version}
%endif

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/{gconf.xml.local-defaults,gconf.xml.local-mandatory}

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
xml:readonly:/etc/gconf/gconf.xml.local-defaults
include "\$(HOME)/.gconf.path.defaults"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path
xml:readonly:/etc/gconf/gconf.xml.local-mandatory
include "\$(HOME)/.gconf.path.mandatory"
EOF

%{find_lang} %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/%{api_version}/*.a

%clean
rm -rf %{buildroot}

# remove buggy symlink
%post
update-alternatives --install %{_bindir}/gconftool gconftool /usr/bin/gconftool-%{api_version} 20
if [ "$1" = "2" ]; then 
		update-alternatives --auto gconftool
fi

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc README
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_bindir}/gconftool*
%{_bindir}/gconf-merge-tree
%_mandir/man1/gconftool-2.1*
%if "%{_lib}" != "lib"
%{_prefix}/lib/gconfd-%{api_version}
%endif
%{_libexecdir}/gconfd-%{api_version}
%{_libexecdir}/gconf-sanity-check-%{api_version}
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/%{api_version}
%{_libdir}/GConf/%{api_version}/*.so
%config(noreplace) %{_sysconfdir}/gconf/%{api_version}
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/gconf.xml*
%dir %{_sysconfdir}/gconf/schemas
%{_datadir}/sgml/gconf
%{_datadir}/GConf

%files -n %{lib_name}
%defattr(-, root, root)
%doc README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr (-, root, root)
%doc ChangeLog TODO NEWS AUTHORS
%doc %{_datadir}/gtk-doc/html/*
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*a
%{_libdir}/pkgconfig/*
%attr(644,root,root) %{_libdir}/GConf/%{api_version}/*.la

%changelog
* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-3mdv2007.0
- Fix bad dependencies caused by profile scripts

* Thu Aug 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-2mdv2007.0
- Add local.defaults/mandatory files

* Mon Apr 10 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0

* Mon Feb 27 2006 Gtz Waschk <waschk@mandriva.org> 2.12.1-4mdk
- fix rpmlint warnings

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Regenerate patch1, it wasn't applying correctly

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Use mkrel

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- New release 2.12.1

* Sun Oct 09 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.0-2mdk
- add BuildRequires: libldap-devel

* Tue Oct 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.10.0

* Wed Jul 27 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-2mdk
- readd dropped dep on GConf2 to the library package

* Wed Jul  6 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- remove prereq
- New release 2.10.1

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- Remove patch2 (merged upstream)

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-3mdk 
- Patch2 (CVS): various bug fixes from CVS

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch1: force reload database when schemas are installed/uninstalled

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- disable parallel build
- drop merged patch 1
- New release 2.8.1

* Wed Nov  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.6.4-2.1mdk
- Provide /usr/lib/gconfd-2 symlink on lib64 platforms

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk 
- Update patch1 with CVS bugfix

* Thu Aug 26 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.4-1mdk
- New release 2.6.4

* Mon Jul 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-2mdk
- Patch1 (CVS): backport handling of SIGHUP to force reloading all databases

* Fri Jul  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz Waschk help)
- update doc life list
- add new files

* Fri Dec 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-3mdk
- Update Patch 0 to fix crash raised by latest glibc

* Wed Oct 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-2mdk
- Patch0: Add support for GCONF_TMPDIR to fix lock (Mdk bug 6140)

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1
- remove patch0 (merged upstream)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.3-4mdk
- Fix bad alternative (Chmouel)

* Wed Jul 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-3mdk
- add missing update-alternative --install
- Patch0: replace printf with g_print (fix bug #4416)

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.3-2mdk
- rebuild

* Thu Jun 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3 (cool, now we can uninstall schemas)

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-2mdk
- Patch0 (CVS): remove explicit linc module dependency
- Patch1 (CVS): add missing header includes
- Rebuild against latest ORBit2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2
- Remove patch0 (merged upstream)

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-2mdk
- Patch0 (CVS): don't use linc_get_tmpdir(), it doesn't work correctly

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.90-1mdk
- Release 2.1.90
- Remove patch0 (merged upstream)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-2mdk
- Patch0 (rawhide): add dialog to offer to delete gconf locks

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.11-1mdk
- Release 1.1.11

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.10-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.10-1mdk
- Release 1.1.10

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.9-2mdk
- Fix dependencies

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.9-1mdk
- Release 1.1.9
- Remove patch0 (merged upstream)

* Tue Mar 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-3mdk
- Patch0 (CVS): fix schema loading with locale (fix galeon not loading properly)

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-2mdk
- Remove gconftool symlink, it is no longer used.. (and fix my previous error
  on that point)

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.8-1mdk
- First official Mdk package (based on Abel Cheung work)

* Sun Mar 17 2002 Abel Cheung <maddog@linux.org.hk> 1.1.8-1mdk
- 1.1.8
- Remove patch0, unnecessary at all
- Remove redundant BuildRequires
- Remove gconftool link whenever possible

* Wed Jan 16 2002 Abel Cheung <maddog@linux.org.hk> 1.1.6-2mdk
- Patch0: Modify gconf settings path to other location, so that
  it doesn't conflict with gconf-1 one
- I sucks, gconf 1.1.6 doesn't have any schemas to install
- Enable debug flag

* Fri Jan 11 2002 Abel Cheung <maddog@linux.org.hk> 1.1.6-1mdk
- 1.1.6
- Spec cleanup, rename to GConf2

* Sat Dec  8 2001 Abel Cheung <maddog@linux.org.hk> 1.1.5-1mdk
- 1.1.5
- Use make install DESTDIR=...
- Remove .la files not under $libdir from devel package
- Fixed dependencies

* Sun Nov 11 2001 Abel Cheung <maddog@linux.org.hk> 1.1.4-1mdk
- 1.1.4
- Remove Patch0: merged upstream
- libGConf$major renamed to libGConf2_$major, similar for devel package
- Hence adjusted Provides and Requires accordingly

* Mon Oct 29 2001 Abel Cheung <maddog@linux.org.hk> 1.1.3-1mdk
- 1.1.3
- Conflicts with GConf < 1.0.6 because of alternative usage
- More macros
- Remove fake URL
- Patch0 redone to cope with db3.3, db3.2 etc, now in CVS
- Remove patch1 (GConf 1.1.x is supposed to nag people)
- Remove static modules from devel package
- Hack to put locale back
- BuildConflicts itself, otherwise possible to generate faulty package
- Removed non-existant doc
- Include sample programs

* Wed Oct  3 2001 Abel Cheung <maddog@linux.org.hk> 1.1.2-1mdk
- 1.1.2 (CVS 2001-10-03)
- Removed majorrelease variable, not necessary
- Removed COPYING -> Requires: common-licenses
- Lots of BuildRequires change
- Regenerate patch0
- Remove some entry in %%files, they don't exist for gconf2 or
  clash with those from gconf1
- Devel package Requires: popt-devel libglib2-devel
- Devel package don't require main package
- Main package rename to GConf2 to ease upgrading/installing
- Use update-alternatives to create %%bindir/gconftool symlink
- Don't install locale temporarily to avoid conflict with gconf 1.0.x
- Install various docs and remove obsolete ones
- More meaningful %%descriptions
- Use oaf-slay instead of the ugly killall
- Redone patch0 to detect db3.3 as well

* Tue Aug 28 2001 Pixel <pixel@mandrakesoft.com> 1.0.4-2mdk
- ensure the %%post succeeds

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch2 (merged upstream)

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Regenerate patch2 with official fix from GNOME CVS

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch2: let's make GConf a little less verbose with Galeon
- Create missing directories

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Enforce dependency on libGConf0

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Regenerate patch 0

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Rename path.example as path (fix from Christophe Fergeau)
- Resync with Havoc specfile

* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires:	gnome-libs-devel
- BuildRequires:	popt-devel
- Copyright --> License
- Removed BuildRequires:	libgtk+1.2-devel
- Removed BuildRequires:	ORBit-devel

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Regenerate patch 0 : rebuild against latest db3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-3mdk
- BuildRequires:  ORBit-devel

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- lib package requires main package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- patch1: remove some warnings
- Add pkgconfig files 

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-3mdk
- Correct BuildRequires (thanks to Vadim Plessky)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- devel package now provides/obsoletes GConf-devel

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Patch 0 to correctly detect db3 and provide db3 frontend

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50-1mdk
- Release 0.50

* Mon Feb 12 2001 Warly <warly@mandrakesoft.com> 0.12-4mdk
- Really shutdown oafd during install

* Mon Feb 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-3mdk
- Shutdown oafd during install
- Remove old patches

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-2mdk
- Recompiled with oaf 0.6.2

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Change major to 0 (I suck !!)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Split libraries in separate package

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
